curl --request GET \
--url https://api.withorb.com/v1/subscriptions/{subscription_id}/schedule \
--header 'Authorization: Bearer <token>'{
"data": [
{
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"plan": {
"id": "m2t5akQeh2obwxeU",
"external_plan_id": "m2t5akQeh2obwxeU",
"name": "Example plan"
}
}
],
"pagination_metadata": {
"has_more": true,
"next_cursor": "<string>"
}
}This endpoint returns a paginated list of all plans associated with a subscription along with their start and end dates. This list contains the subscription’s initial plan along with past and future plan changes.
curl --request GET \
--url https://api.withorb.com/v1/subscriptions/{subscription_id}/schedule \
--header 'Authorization: Bearer <token>'{
"data": [
{
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"plan": {
"id": "m2t5akQeh2obwxeU",
"external_plan_id": "m2t5akQeh2obwxeU",
"name": "Example plan"
}
}
],
"pagination_metadata": {
"has_more": true,
"next_cursor": "<string>"
}
}API Keys can be issued in the Orb's web application.
The number of items to fetch. Defaults to 20.
1 <= x <= 100Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.
Was this page helpful?